Subject: bug#20433: guixsd on macbook

From: [email-masked]
Date: Thu, 21 Jan 2016 15:39:10 -0600

On 2016-01-20 16:47, [email-masked] wrote:
> Hi,
> 
> [email-masked] skribis:
> 
>> I've finished installing correctly GuixSD on macbook. There are some
>> issue with touchpad.
>> 
>> If anyone has problems with the keyboard when boot guixsd, fix with
>> the following commands:
>> 
>> rmmod usbhid
>> rmmod usbkbd
>> 
>> or use an external usb keyboard.
> 
> Interesting!  We were discussing this at <http://bugs.gnu.org/20433>,
> and it seems that only ‘usbkbd’ was at fault.
> 
> Could you check if removing ‘usbkbd’ alone is enough?
> 
> I would expect ‘usbhid’ to be required since the internal keyboard
> appears to be a USB device.
> 
> Thanks,
> Ludo’.

Hi Ludo,

is correct, removing 'usbkbd'.

I only use 'rmmod usbhid' to reload the module of the internal keyboard.

i test configuring from the scratch the machine and it´s working:

(operating-system
   (host-name "antelope")
   (timezone "Europe/Paris")
   (locale "en_US.UTF-8")
   (kernel-arguments '("modprobe.blacklist=usbkbd"))
.....

if i reconfigure:

   sudo guix system reconfigure /path/to/configuration.scm

is not working.

regards